Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script.bsh
Class BeanShellContainerBuilder

    java.lang.Object
      org.nanocontainer.integrationkit.LifecycleContainerBuilder
          org.nanocontainer.script.ScriptedContainerBuilder
              org.nanocontainer.script.bsh.BeanShellContainerBuilder

All Implemented Interfaces:
  org.nanocontainer.integrationkit.ContainerBuilder

    public class BeanShellContainerBuilder

extends org.nanocontainer.script.ScriptedContainerBuilder

The script has to assign a "pico" variable with an instance of `PicoContainer`. There is an implicit variable named "parent" that may contain a reference to a parent container. It is recommended to use this as a constructor argument to the instantiated PicoContainer.

Version:
  $Revision: 3144 $
Author:
  Aslak Hellesøy, Michael Rimov, Mauro Talevi

Constructor Summary
`BeanShellContainerBuilder(Reader script, ClassLoader classLoader)`
`BeanShellContainerBuilder(URL script, ClassLoader classLoader)`

Method Summary
`protected org.picocontainer.PicoContainer` | `createContainerFromScript(org.picocontainer.PicoContainer parentContainer, Object assemblyScope)`

Methods inherited from class org.nanocontainer.script.ScriptedContainerBuilder
`composeContainer, createContainer, getClassLoader, getScriptInputStream, getScriptReader`

Methods inherited from class org.nanocontainer.integrationkit.LifecycleContainerBuilder
`autoStart, buildContainer, killContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanShellContainerBuilder

    public BeanShellContainerBuilder(Reader script,
                                     ClassLoader classLoader)

### BeanShellContainerBuilder

    public BeanShellContainerBuilder(URL script,
                                     ClassLoader classLoader)

Method Detail

### createContainerFromScript

    protected org.picocontainer.PicoContainer createContainerFromScript(org.picocontainer.PicoContainer parentContainer,
                                                                        Object assemblyScope)

  Specified by:
    `createContainerFromScript` in class `org.nanocontainer.script.ScriptedContainerBuilder`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.